![SendEasy Logo](assets/img/sendeasy-logo.png)
# SendEasy WooCommerce Extension

The SendEasy plugin for WordPress is a WooCommerce extension that lets shop owners send SMS updates via SendEasy to customers when their WooCommerce order status is updated.

- Plugin Name:          SendEasy
- Plugin URI:           [https://sendeasy.com](https://sendeasy.com)
- Description:          Send SMS updates via SendEasy to customers when their WooCommerce order status is updated.
- Author:               Netgen
- Version:              1.0.0
- Requires at least:    6.0
- Requires PHP:         8.0
- Author URI:           [https://www.netgen.co.za](https://www.netgen.co.za)
- Text Domain:          sendeasy
- Domain Path:          /languages
- WC requires at least: 8.2 
- WC tested up to:      8.2.2
- License:              GPL3
- License URI:          [https://www.gnu.org/licenses/gpl-3.0.en.html](https://www.gnu.org/licenses/gpl-3.0.en.html)

## SendEasy WooCommerce Extension Setup Guide

After installing and activating the SendEasy plugin, click the SendEasy settings tab on the WooCommerce settings page to view and configure the SendEasy plugin settings.

### SendEasy Settings Tab Sections

The SendEasy settings tab has 3 sections:

**1. Connection**

Connect to your SendEasy account by visiting the Connection settings section and saving your SendEasy API username and password.

Once you are connected, your current SendEasy SMS credit balance will display at the top of the SendEasy settings tab, allowing you to keep track of how much credit you have.

This section also provides a checkbox for you to enable the recording of SendEasy errors in the WooCommerce log. Use this if you are having issues when trying to send an SMS.

**2. Customer SMS**

Configure your customer SMS notification settings here. Choose which order statuses should trigger an SMS. Use available dynamic tags to create custom SMS notification templates for different order statuses.

**3. Admin SMS**

Optionally enable a new order SMS notification to be sent to admin cell phone number(s).

Use available dynamic tags to create a custom admin SMS notification template.