document.addEventListener('DOMContentLoaded', () => {

    /**
     * Remove non-numeric characters from the admin phone number input field
     * but allow spaces and commas.
     */
    let adminPhoneNumbers = document.getElementById('se_admin_phone_numbers');

    if (adminPhoneNumbers) {

        adminPhoneNumbers.addEventListener('keyup', (event) => {
            event.target.value = event.target.value.replace(/[^0-9,\s]/g, '')
        });

    }
    
});

