<?php

namespace Sendeasy;

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit();
}

/**
 * SE_Uninstaller class.
 */
class SE_Uninstaller
{
    /**
     * Remove the SendEasy data from the wp_options table in the database.
     *
     */
    public static function se_uninstall()
    {
        delete_option('se_username');
        delete_option('se_password');
        delete_option('se_enable_debug_log');
        delete_option('se_enabled_customer_sms_notifications');
        delete_option('se_customer_sms_template_default');
        delete_option('se_customer_sms_template_completed');
        delete_option('se_customer_sms_template_pending');
        delete_option('se_customer_sms_template_processing');
        delete_option('se_customer_sms_template_on');
        delete_option('se_customer_sms_template_cancelled');
        delete_option('se_customer_sms_template_failed');
        delete_option('se_customer_sms_template_refunded');
        delete_option('se_enable_admin_sms');
        delete_option('se_admin_phone_numbers');
        delete_option('se_admin_phone_numbers');
    }
}
