<?php

namespace Sendeasy;

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit();
}

/**
 * SE_Validator class.
 */

class SE_Validator
{
    /**
     * Validates a phone number
     *
     * @param string $phone_number
     * @return bool
     */
    public static function se_validate_phone_number($phone_number): bool
    {
        // Check whether the phone number begins with "27"
        preg_match('/^27/', $phone_number, $matches);

        return $matches && is_numeric($phone_number) && (strlen($phone_number) === 11);
    }
}
